Docs Replicate official format /replicate/v1/models/black-forest-labs/flux-fill-pro/predictions
API reference

Create task black-forest-labs/flux-fill-pro

Official document: https://replicate.com/black-forest-labs/flux-fill-pro

POST/replicate/v1/models/black-forest-labs/flux-fill-pro/predictions

Body Parametersapplication/json

input object

Input content

properties
guidance integer

Control the balance between text prompt compliance and image quality/variety. Higher values ​​bring the output closer to the prompt, but may reduce overall image quality. Lower values ​​provide more creative freedom in the output, but may be less relevant to the prompt. Default value: 60. Minimum value: 1.5, maximum value: 100.

image* string

Pictures to be repaired. Can include alpha masks. Must be in jpeg, png, gif or webp format.

mask string

A black and white image describing the portion of the image that needs restoration. Black areas will be preserved and white areas will be repaired. Must be the same size as the image. This parameter is optional if you provided an alpha mask in the original image. Must be in jpeg, png, gif or webp format.

outpaint string

Options for quick repair of input images. Masks will be ignored. Default value: "None"

output_format string

The format of the output image. Default value: "jpg".

prompt* string

Image-generated text prompts.

prompt_upsampling boolean

Automatically modify prompts to generate more ideas. Default value: false

safety_tolerance integer

Security tolerance, with 1 being the strictest and 6 being the loosest. Default value: 2.

steps integer

Number of diffusion steps. Higher values ​​provide finer detail, but also take longer to process. Default value: 50. Minimum value: 15, maximum value: 50.

Responses

200 application/json
response-200 object
properties
created_at string

Creation time

data_removed boolean

Whether sensitive data has been removed

error string nullable

Error message

id* string

Resource or task ID

input object

Input content

logs string

Run logs

model string

Model name / model ID

output string nullable

Output result

status* string

Status

urls object

List of resource URLs

version string

Version

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"input": {
3"guidance": 60,
4"image": "https://replicate.delivery/pbxt/M0gpKVE9wmEtOQFNDOpwz1uGs0u6nK2NcE85IihwlN0ZEnMF/kill-bill-poster.jpg",
5"mask": "https://replicate.delivery/pbxt/M0gpLCYdCLbnhcz95Poy66q30XW9VSCN65DoDQ8IzdzlQonw/kill-bill-mask.png",
6"outpaint": "None",
7"output_format": "jpg",
8"prompt": "movie poster says \"FLUX FILL\"",
9"prompt_upsampling": false,
10"safety_tolerance": 2,
11"steps": 50
12}
13}
Code Sample cURL
1curl -X POST "https://api.digislash.com/replicate/v1/models/black-forest-labs/flux-fill-pro/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"guidance": 60,
7"image": "https://replicate.delivery/pbxt/M0gpKVE9wmEtOQFNDOpwz1uGs0u6nK2NcE85IihwlN0ZEnMF/kill-bill-poster.jpg",
8"mask": "https://replicate.delivery/pbxt/M0gpLCYdCLbnhcz95Poy66q30XW9VSCN65DoDQ8IzdzlQonw/kill-bill-mask.png",
9"outpaint": "None",
10"output_format": "jpg",
11"prompt": "movie poster says \"FLUX FILL\"",
12"prompt_upsampling": false,
13"safety_tolerance": 2,
14"steps": 50
15}
16}'
Response
1▼{
2"created_at": "2025-07-30T03:10:33.786Z",
3"data_removed": false,
4"id": "w72vtvbb79rmc0crb57tckqt24",
5▼"input": {
6"guidance": 60,
7"image": "https://replicate.delivery/pbxt/M0gpKVE9wmEtOQFNDOpwz1uGs0u6nK2NcE85IihwlN0ZEnMF/kill-bill-poster.jpg",
8"mask": "https://replicate.delivery/pbxt/M0gpLCYdCLbnhcz95Poy66q30XW9VSCN65DoDQ8IzdzlQonw/kill-bill-mask.png",
9"outpaint": "None",
10"output_format": "jpg",
11"prompt": "movie poster says \"FLUX FILL\"",
12"prompt_upsampling": false,
13"safety_tolerance": 2,
14"steps": 50
15},
16"logs": "",
17"model": "black-forest-labs/flux-fill-pro",
18"status": "starting",
19▼"urls": {
20"cancel": "https://api.replicate.com/v1/predictions/w72vtvbb79rmc0crb57tckqt24/cancel",
21"get": "https://api.replicate.com/v1/predictions/w72vtvbb79rmc0crb57tckqt24",
22"stream": "https://stream.replicate.com/v1/files/bcwr-3y7tn6jo35hzo7xvk5kf2dslvdwmggf5zty5vnbfhq4tsggfhesa",
23"web": "https://replicate.com/p/w72vtvbb79rmc0crb57tckqt24"
24},
25"version": "hidden"
26}